List webhook events
curl --request GET \
--url https://api.bridge.xyz/v0/webhook_events \
--header 'Api-Key: <api-key>'import requests
url = "https://api.bridge.xyz/v0/webhook_events"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api.bridge.xyz/v0/webhook_events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"api_version": "<string>",
"event_id": "<string>",
"event_developer_id": "<string>",
"event_category": "customer",
"event_type": "created",
"event_object_id": "<string>",
"event_object": {},
"event_object_changes": {},
"event_created_at": "2023-11-07T05:31:56Z",
"event_sequence": 123,
"event_object_status": "not_started"
}
],
"count": 123
}Webhooks
List webhook events
List all webhook events for your account. Events are ordered by their event_sequence in ascending order. Results are limited to the events created in last 90 days.
GET
/
webhook_events
List webhook events
Authorizations
Query Parameters
Cursor for forward pagination. Returns events after the specified event ID.
Cursor for backward pagination. Returns events before the specified event ID.
Maximum number of events to return (1-500, default 100).
Required range:
1 <= x <= 500Filter events by category.
Available options:
customer, external_account, kyc_link, liquidation_address, liquidation_address.drain, static_memo.activity, transfer, virtual_account, virtual_account.activity, bridge_wallet.activity, shift4_base_deposit, indexed_deposit, card_account, posted_card_account_transaction, card_transaction, card_withdrawal Was this page helpful?